<!DOCTYPE html>
<html lang="en">
<head>
    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0"/>
    <meta charset="utf-8"/>
    <title>API Documentation &raquo;\PhpOffice\PhpSpreadsheet\Calculation\FormulaParser</title>
    <meta name="author" content=""/>
    <meta name="description" content=""/>        <link href="../css/template.css" rel="stylesheet" media="all"/>        <!--[if lt IE 9]>
        <script src="https://html5shim.googlecode.com/svn/trunk/html5.js" type="text/javascript"></script>
        <![endif]-->
        <script src="../js/jquery-1.7.1.min.js" type="text/javascript"></script>
        <script src="../js/jquery-ui-1.8.2.custom.min.js" type="text/javascript"></script>
        <script src="../js/jquery.mousewheel.min.js" type="text/javascript"></script>
        <script src="../js/bootstrap.js" type="text/javascript"></script>
        <script src="../js/template.js" type="text/javascript"></script>
        <script src="../js/prettify/prettify.min.js" type="text/javascript"></script>        <link rel="shortcut icon" href="../img/favicon.ico"/>
        <link rel="apple-touch-icon" href="../img/apple-touch-icon.png"/>
        <link rel="apple-touch-icon" sizes="72x72" href="../img/apple-touch-icon-72x72.png"/>
        <link rel="apple-touch-icon" sizes="114x114" href="../img/apple-touch-icon-114x114.png"/></head>
<body>    <div class="navbar navbar-fixed-top">
        <div class="navbar-inner">
            <div class="container">
                <a class="btn btn-navbar" data-toggle="collapse" data-target=".nav-collapse">
                    <span class="icon-bar"></span> <span class="icon-bar"></span>
                    <span class="icon-bar"></span> </a>
                <a class="brand" href="../index.html">API Documentation</a>

                <div class="nav-collapse">
                    <ul class="nav">
                        <li class="dropdown">
                            <a href="#api" class="dropdown-toggle" data-toggle="dropdown">
                                API Documentation <b class="caret"></b>
                            </a>
                            <ul class="dropdown-menu">                                    <li><a>Namespaces</a></li>                                    <li><a href="../namespaces/task_23.html">task_23</a></li>                                    <li><a href="../namespaces/task_18.html">task_18</a></li>                                    <li><a href="../namespaces/task_22.html">task_22</a></li>                                    <li><a href="../namespaces/Composer.html">Composer</a></li>                                    <li><a href="../namespaces/Matrix.html">Matrix</a></li>                                    <li><a href="../namespaces/Complex.html">Complex</a></li>                                    <li><a href="../namespaces/Psr.html">Psr</a></li>                                    <li><a href="../namespaces/PhpOffice.html">PhpOffice</a></li>                                    <li><a href="../namespaces/Samples.html">Samples</a></li>                                    <li><a href="../namespaces/task_21.html">task_21</a></li>                                    <li><a href="../namespaces/task_24.html">task_24</a></li>                                    <li><a href="../namespaces/task_20.html">task_20</a></li>                                    <li><a href="../namespaces/task_17.html">task_17</a></li>                                    <li><a href="../namespaces/task_19.html">task_19</a></li>                            </ul>
                        </li>
                        <li class="dropdown" id="charts-menu">
                            <a href="#charts" class="dropdown-toggle" data-toggle="dropdown">
                                Charts <b class="caret"></b>
                            </a>
                            <ul class="dropdown-menu">
                                <li>
                                    <a href="../graph_class.html">
                                        <i class="icon-list-alt"></i>&#160;Class hierarchy diagram
                                    </a>
                                </li>
                            </ul>
                        </li>
                        <li class="dropdown" id="reports-menu">
                            <a href="#reports" class="dropdown-toggle" data-toggle="dropdown">
                                Reports <b class="caret"></b>
                            </a>
                            <ul class="dropdown-menu">
                                <li>
                                    <a href="../errors.html">
                                        <i class="icon-list-alt"></i>&#160;Errors
                                    </a>
                                </li>
                                <li>
                                    <a href="../markers.html">
                                        <i class="icon-list-alt"></i>&#160;Markers
                                    </a>
                                </li>
                                <li>
                                    <a href="../deprecated.html">
                                        <i class="icon-list-alt"></i>&#160;Deprecated
                                    </a>
                                </li>
                            </ul>
                        </li>
                    </ul>
                </div>
            </div>
        </div>
        <div class="go_to_top">
            <a href="#___" style="color: inherit">Back to top&#160;&#160;<i class="icon-upload icon-white"></i></a>
        </div>
    </div>
    <div id="___" class="container">
        <noscript>
            <div class="alert alert-warning">
                Javascript is disabled; several features are only available if Javascript is enabled.
            </div>
        </noscript>    <style>
        .deprecated h2 {
            text-decoration: line-through;
        }
    </style>
    <div class="row">
        <div class="span4">    <div class="btn-group view pull-right" data-toggle="buttons-radio">
        <button class="btn details" title="Show descriptions and method names"><i class="icon-list"></i></button>
        <button class="btn simple" title="Show only method names"><i class="icon-align-justify"></i></button>
    </div>
    <div class="btn-group visibility" data-toggle="buttons-checkbox">
        <button class="btn public active" title="Show public elements">Public</button>
        <button class="btn protected" title="Show protected elements">Protected</button>
        <button class="btn private" title="Show private elements">Private</button>
        <button class="btn inherited active" title="Show inherited elements">Inherited</button>
    </div>    <ul class="side-nav nav nav-list">
        <li class="nav-header">
            <i class="icon-custom icon-method"></i> Methods
            <ul>    <li class="methodpublic">
        <a href="#method___construct" title="__construct ::Create a new FormulaParser.">
            <span class="description">Create a new FormulaParser.</span><pre>__construct</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getFormula" title="getFormula ::Get Formula.">
            <span class="description">Get Formula.</span><pre>getFormula</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getToken" title="getToken ::Get Token.">
            <span class="description">Get Token.</span><pre>getToken</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getTokenCount" title="getTokenCount ::Get Token count.">
            <span class="description">Get Token count.</span><pre>getTokenCount</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getTokens" title="getTokens ::Get Tokens.">
            <span class="description">Get Tokens.</span><pre>getTokens</pre>
        </a>
    </li>            </ul>
        </li>
        <li class="nav-header protected">» Protected
            <ul>            </ul>
        </li>
        <li class="nav-header private">» Private
            <ul>                        <li class="methodprivate">
                            <a href="#method_parseToTokens" title="parseToTokens ::Parse to tokens.">
                                <span class="description">Parse to tokens.</span><pre>parseToTokens</pre>
                            </a>
                        </li>            </ul>
        </li>
        <li class="nav-header">
            <i class="icon-custom icon-constant"></i> Constants
            <ul>                <li class="constant">
                    <a href="#constant_BRACE_CLOSE" title="BRACE_CLOSE ::">
                        <span class="description"></span><pre>BRACE_CLOSE</pre>
                    </a>
                </li>                <li class="constant">
                    <a href="#constant_BRACE_OPEN" title="BRACE_OPEN ::">
                        <span class="description"></span><pre>BRACE_OPEN</pre>
                    </a>
                </li>                <li class="constant">
                    <a href="#constant_BRACKET_CLOSE" title="BRACKET_CLOSE ::">
                        <span class="description"></span><pre>BRACKET_CLOSE</pre>
                    </a>
                </li>                <li class="constant">
                    <a href="#constant_BRACKET_OPEN" title="BRACKET_OPEN ::">
                        <span class="description"></span><pre>BRACKET_OPEN</pre>
                    </a>
                </li>                <li class="constant">
                    <a href="#constant_COMMA" title="COMMA ::">
                        <span class="description"></span><pre>COMMA</pre>
                    </a>
                </li>                <li class="constant">
                    <a href="#constant_ERROR_START" title="ERROR_START ::">
                        <span class="description"></span><pre>ERROR_START</pre>
                    </a>
                </li>                <li class="constant">
                    <a href="#constant_OPERATORS_INFIX" title="OPERATORS_INFIX ::">
                        <span class="description"></span><pre>OPERATORS_INFIX</pre>
                    </a>
                </li>                <li class="constant">
                    <a href="#constant_OPERATORS_POSTFIX" title="OPERATORS_POSTFIX ::">
                        <span class="description"></span><pre>OPERATORS_POSTFIX</pre>
                    </a>
                </li>                <li class="constant">
                    <a href="#constant_OPERATORS_SN" title="OPERATORS_SN ::">
                        <span class="description"></span><pre>OPERATORS_SN</pre>
                    </a>
                </li>                <li class="constant">
                    <a href="#constant_PAREN_CLOSE" title="PAREN_CLOSE ::">
                        <span class="description"></span><pre>PAREN_CLOSE</pre>
                    </a>
                </li>                <li class="constant">
                    <a href="#constant_PAREN_OPEN" title="PAREN_OPEN ::">
                        <span class="description"></span><pre>PAREN_OPEN</pre>
                    </a>
                </li>                <li class="constant">
                    <a href="#constant_QUOTE_DOUBLE" title="QUOTE_DOUBLE ::">
                        <span class="description"></span><pre>QUOTE_DOUBLE</pre>
                    </a>
                </li>                <li class="constant">
                    <a href="#constant_QUOTE_SINGLE" title="QUOTE_SINGLE ::">
                        <span class="description"></span><pre>QUOTE_SINGLE</pre>
                    </a>
                </li>                <li class="constant">
                    <a href="#constant_SEMICOLON" title="SEMICOLON ::">
                        <span class="description"></span><pre>SEMICOLON</pre>
                    </a>
                </li>                <li class="constant">
                    <a href="#constant_WHITESPACE" title="WHITESPACE ::">
                        <span class="description"></span><pre>WHITESPACE</pre>
                    </a>
                </li>            </ul>
        </li>
    </ul>
        </div>

        <div class="span8">
            <div class="element class">
                <h1>FormulaParser</h1>
                <small style="display: block; text-align: right">                </small>
                <p class="short_description">PARTLY BASED ON:
Copyright (c) 2007 E. W. Bachtal, Inc.</p>
                <div class="details">
                    <div class="long_description"><p>Permission is hereby granted, free of charge, to any person obtaining a copy of this software
and associated documentation files (the &quot;Software&quot;), to deal in the Software without restriction,
including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense,
and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so,
subject to the following conditions:</p>
<p>The above copyright notice and this permission notice shall be included in all copies or substantial
portions of the Software.</p>
<p>The software is provided &quot;as is&quot;, without warranty of any kind, express or implied, including but not
limited to the warranties of merchantability, fitness for a particular purpose and noninfringement. In
no event shall the authors or copyright holders be liable for any claim, damages or other liability,
whether in an action of contract, tort or otherwise, arising from, out of or in connection with the
software or the use or other dealings in the software.</p>
<p><a href="https://ewbi.blogs.com/develops/2007/03/excel_formula_p.html">https://ewbi.blogs.com/develops/2007/03/excel_formula_p.html</a>
<a href="https://ewbi.blogs.com/develops/2004/12/excel_formula_p.html">https://ewbi.blogs.com/develops/2004/12/excel_formula_p.html</a></p>
                    </div>
                    <table class="table table-bordered">                                <tr>
                                    <th>package                                    </th>
                                    <td><p>Default</p>
                                    </td>
                                </tr>                    </table>

                    <h3><i class="icon-custom icon-method"></i> Methods</h3>                        <a id="method___construct"></a>
                        <div class="element clickable methodpublic method___construct" data-toggle="collapse" data-target=".method___construct .collapse">
                            <h2>Create a new FormulaParser.</h2>
                            <pre>__construct(string $pFormula = &#039;&#039;)</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>Throws</th>
                                                <td>
                                                    <dl>                                                        <dt>\PhpOffice\PhpSpreadsheet\Calculation\Exception</dt>
                                                        <dd></dd>                                                    </dl>
                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$pFormula</h4>
                                                <code>string</code><p><p>Formula to parse</p></p>
                                            </div>                                </div>
                            </div>

                        </div>                        <a id="method_getFormula"></a>
                        <div class="element clickable methodpublic method_getFormula" data-toggle="collapse" data-target=".method_getFormula .collapse">
                            <h2>Get Formula.</h2>
                            <pre>getFormula(): string</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>string</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getToken"></a>
                        <div class="element clickable methodpublic method_getToken" data-toggle="collapse" data-target=".method_getToken .collapse">
                            <h2>Get Token.</h2>
                            <pre>getToken(integer $pId): string</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>Throws</th>
                                                <td>
                                                    <dl>                                                        <dt>\PhpOffice\PhpSpreadsheet\Calculation\Exception</dt>
                                                        <dd></dd>                                                    </dl>
                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$pId</h4>
                                                <code>integer</code><p><p>Token id</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>string</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getTokenCount"></a>
                        <div class="element clickable methodpublic method_getTokenCount" data-toggle="collapse" data-target=".method_getTokenCount .collapse">
                            <h2>Get Token count.</h2>
                            <pre>getTokenCount(): integer</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>integer</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getTokens"></a>
                        <div class="element clickable methodpublic method_getTokens" data-toggle="collapse" data-target=".method_getTokens .collapse">
                            <h2>Get Tokens.</h2>
                            <pre>getTokens(): array&lt;mixed,\PhpOffice\PhpSpreadsheet\Calculation\FormulaToken&gt;</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>array&lt;mixed,<a href="../classes/PhpOffice.PhpSpreadsheet.Calculation.FormulaToken.html">\PhpOffice\PhpSpreadsheet\Calculation\FormulaToken</a>&gt;</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_parseToTokens"></a>
                        <div class="element clickable methodprivate method_parseToTokens" data-toggle="collapse" data-target=".method_parseToTokens .collapse">
                            <h2>Parse to tokens.</h2>
                            <pre>parseToTokens()</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                </div>
                            </div>

                        </div>                        <h3><i class="icon-custom icon-constant"></i> Constants</h3>                            <a id="constant_QUOTE_DOUBLE"> </a>
                            <div class="element clickable constant constant_QUOTE_DOUBLE" data-toggle="collapse" data-target=".constant_QUOTE_DOUBLE .collapse">
                                <h2>QUOTE_DOUBLE</h2>
                                <pre>QUOTE_DOUBLE</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                            <a id="constant_QUOTE_SINGLE"> </a>
                            <div class="element clickable constant constant_QUOTE_SINGLE" data-toggle="collapse" data-target=".constant_QUOTE_SINGLE .collapse">
                                <h2>QUOTE_SINGLE</h2>
                                <pre>QUOTE_SINGLE</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                            <a id="constant_BRACKET_CLOSE"> </a>
                            <div class="element clickable constant constant_BRACKET_CLOSE" data-toggle="collapse" data-target=".constant_BRACKET_CLOSE .collapse">
                                <h2>BRACKET_CLOSE</h2>
                                <pre>BRACKET_CLOSE</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                            <a id="constant_BRACKET_OPEN"> </a>
                            <div class="element clickable constant constant_BRACKET_OPEN" data-toggle="collapse" data-target=".constant_BRACKET_OPEN .collapse">
                                <h2>BRACKET_OPEN</h2>
                                <pre>BRACKET_OPEN</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                            <a id="constant_BRACE_OPEN"> </a>
                            <div class="element clickable constant constant_BRACE_OPEN" data-toggle="collapse" data-target=".constant_BRACE_OPEN .collapse">
                                <h2>BRACE_OPEN</h2>
                                <pre>BRACE_OPEN</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                            <a id="constant_BRACE_CLOSE"> </a>
                            <div class="element clickable constant constant_BRACE_CLOSE" data-toggle="collapse" data-target=".constant_BRACE_CLOSE .collapse">
                                <h2>BRACE_CLOSE</h2>
                                <pre>BRACE_CLOSE</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                            <a id="constant_PAREN_OPEN"> </a>
                            <div class="element clickable constant constant_PAREN_OPEN" data-toggle="collapse" data-target=".constant_PAREN_OPEN .collapse">
                                <h2>PAREN_OPEN</h2>
                                <pre>PAREN_OPEN</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                            <a id="constant_PAREN_CLOSE"> </a>
                            <div class="element clickable constant constant_PAREN_CLOSE" data-toggle="collapse" data-target=".constant_PAREN_CLOSE .collapse">
                                <h2>PAREN_CLOSE</h2>
                                <pre>PAREN_CLOSE</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                            <a id="constant_SEMICOLON"> </a>
                            <div class="element clickable constant constant_SEMICOLON" data-toggle="collapse" data-target=".constant_SEMICOLON .collapse">
                                <h2>SEMICOLON</h2>
                                <pre>SEMICOLON</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                            <a id="constant_WHITESPACE"> </a>
                            <div class="element clickable constant constant_WHITESPACE" data-toggle="collapse" data-target=".constant_WHITESPACE .collapse">
                                <h2>WHITESPACE</h2>
                                <pre>WHITESPACE</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                            <a id="constant_COMMA"> </a>
                            <div class="element clickable constant constant_COMMA" data-toggle="collapse" data-target=".constant_COMMA .collapse">
                                <h2>COMMA</h2>
                                <pre>COMMA</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                            <a id="constant_ERROR_START"> </a>
                            <div class="element clickable constant constant_ERROR_START" data-toggle="collapse" data-target=".constant_ERROR_START .collapse">
                                <h2>ERROR_START</h2>
                                <pre>ERROR_START</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                            <a id="constant_OPERATORS_SN"> </a>
                            <div class="element clickable constant constant_OPERATORS_SN" data-toggle="collapse" data-target=".constant_OPERATORS_SN .collapse">
                                <h2>OPERATORS_SN</h2>
                                <pre>OPERATORS_SN</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                            <a id="constant_OPERATORS_INFIX"> </a>
                            <div class="element clickable constant constant_OPERATORS_INFIX" data-toggle="collapse" data-target=".constant_OPERATORS_INFIX .collapse">
                                <h2>OPERATORS_INFIX</h2>
                                <pre>OPERATORS_INFIX</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                            <a id="constant_OPERATORS_POSTFIX"> </a>
                            <div class="element clickable constant constant_OPERATORS_POSTFIX" data-toggle="collapse" data-target=".constant_OPERATORS_POSTFIX .collapse">
                                <h2>OPERATORS_POSTFIX</h2>
                                <pre>OPERATORS_POSTFIX</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                        <h3><i class="icon-custom icon-property"></i> Properties</h3>                            <a id="property_formula"> </a>
                            <div class="element clickable propertyprivate property_formula" data-toggle="collapse" data-target=".property_formula .collapse">
                                <h2>Formula.</h2>
                                <pre>formula :string</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>string</code>                                    </div>
                                </div>
                            </div>                            <a id="property_tokens"> </a>
                            <div class="element clickable propertyprivate property_tokens" data-toggle="collapse" data-target=".property_tokens .collapse">
                                <h2>Tokens.</h2>
                                <pre>tokens :array&lt;mixed,\PhpOffice\PhpSpreadsheet\Calculation\FormulaToken&gt;</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>array&lt;mixed,<a href="../classes/PhpOffice.PhpSpreadsheet.Calculation.FormulaToken.html">\PhpOffice\PhpSpreadsheet\Calculation\FormulaToken</a>&gt;</code>                                    </div>
                                </div>
                            </div>                </div>
            </div>
            <a id="\PhpOffice\PhpSpreadsheet\Calculation\FormulaParser"></a>
            <ul class="breadcrumb">
                <li><a href="../index.html"><i class="icon-custom icon-class"></i></a></li>
    <li><span class="divider">\</span><a href="../namespaces/PhpOffice.PhpSpreadsheet.Calculation.html">Calculation</a></li>
                <li class="active"><span class="divider">\</span><a href="../classes/PhpOffice.PhpSpreadsheet.Calculation.FormulaParser.html">FormulaParser</a></li>
            </ul>
        </div>
    </div>    </div>    <footer class="span12">
            Template is built using <a href="http://twitter.github.com/bootstrap/">Twitter Bootstrap 2</a> and icons provided by
            <a href="http://glyphicons.com/">Glyphicons</a>.<br/>
            Documentation is powered by <a href="http://www.phpdoc.org/">phpDocumentor</a> and<br/>
            generated onFri, 14 Feb 2020 19:36:47 +0000.<br/>
    </footer></body>
</html>
